Browse Source

Updated from global requirements

Change-Id: Ia11ef30448a5ca48dd6d9e1c5acd23918e199f65
changes/21/536321/5
OpenStack Proposal Bot 4 years ago
parent
commit
1cf8cec6c0
  1. 20
      requirements.txt
  2. 2
      setup.py
  3. 18
      test-requirements.txt

20
requirements.txt

@ -2,17 +2,17 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=2.0 # Apache-2.0
neutron-lib>=1.9.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
neutron-lib>=1.13.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
ipaddress>=1.0.16;python_version<'3.3' # PSF
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
six>=1.9.0 # MIT
tempest>=16.1.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
six>=1.10.0 # MIT
tempest>=17.1.0 # Apache-2.0
ddt>=1.0.1 # MIT
testtools>=1.4.0 # MIT
testtools>=2.2.0 # MIT
testscenarios>=0.4 # Apache-2.0/BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT

2
setup.py

@ -25,5 +25,5 @@ except ImportError:
pass
setuptools.setup(
setup_requires=['pbr'],
setup_requires=['pbr>=2.0.0'],
pbr=True)

18
test-requirements.txt

@ -2,14 +2,14 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking>=0.12.0,<0.13 # Apache-2.0
hacking<0.13,>=0.12.0 # Apache-2.0
coverage>=4.0,!=4.4 # Apache-2.0
python-subunit>=0.0.18 # Apache-2.0/BSD
sphinx>=1.6.2 # BSD
oslotest>=1.10.0 # Apache-2.0
testrepository>=0.0.18 # Apache-2.0/BSD
testtools>=1.4.0 # MIT
openstackdocstheme>=1.11.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
python-subunit>=1.0.0 # Apache-2.0/BSD
sphinx!=1.6.6,>=1.6.2 # BSD
oslotest>=3.2.0 # Apache-2.0
testrepository>=0.0.18 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
openstackdocstheme>=1.18.1 # Apache-2.0
# releasenotes
reno>=1.8.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
Loading…
Cancel
Save